Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 698720 - =net-libs/nodejs-10.17.0 stable request
Summary: =net-libs/nodejs-10.17.0 stable request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2019-10-28 07:50 UTC by Tomáš Mózes
Modified: 2019-11-14 16:49 UTC (History)
1 user (show)

See Also:
Package list:
=net-libs/nodejs-10.17.0 =net-dns/c-ares-1.15.0 =net-libs/http-parser-2.9.2
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Mózes 2019-10-28 07:50:34 UTC
Given that 8.x is eol soon, please consider stabilizing 10.x. Thanks
Comment 1 Jeroen Roovers gentoo-dev 2019-10-28 07:54:25 UTC
Why not 12.x.x as that now has LTS?
Comment 2 Tomáš Mózes 2019-10-28 07:58:31 UTC
(In reply to Jeroen Roovers from comment #1)
> Why not 12.x.x as that now has LTS?

10.x is the smallest step forward we should make and 12.x got LTS just recently.
Comment 3 Thomas Deutschmann gentoo-dev Security 2019-10-31 23:20:29 UTC
Should be obsolete, see bug 679132.
Comment 4 Jeroen Roovers gentoo-dev 2019-11-01 04:51:06 UTC
The 10.x.x branch is not obsolete. See [1]: it's in the "Active LTS" phase just like 12.x.x. Even 8.x.x is actively maintained so we should have three stabilisation targets.

[1] https://nodejs.org/en/about/releases/
Comment 5 Tomáš Mózes 2019-11-01 06:16:06 UTC
If we have the capacity, let's do all three, but since 8.x is EOL next month, maybe we should let it go.